# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_InvisibilityContext Class Reference

`#include <StepVisual_InvisibilityContext.hxx>`

Inheritance diagram for StepVisual_InvisibilityContext:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_InvisibilityContext ()
| Returns a InvisibilityContext SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a InvisibilityContext Kind Entity that is : 1 -> PresentationRepresentation 2 -> PresentationSet 0 else .
Standard_EXPORT Handle_StepVisual_PresentationRepresentation | PresentationRepresentation () const
| returns Value as a PresentationRepresentation (Null if another type)
Standard_EXPORT Handle_StepVisual_PresentationSet | PresentationSet () const
| returns Value as a PresentationSet (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_InvisibilityContext::StepVisual_InvisibilityContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepVisual_InvisibilityContext::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepVisual_InvisibilityContext::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_InvisibilityContext::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_InvisibilityContext::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepVisual_PresentationRepresentation StepVisual_InvisibilityContext::PresentationRepresentation | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_PresentationSet StepVisual_InvisibilityContext::PresentationSet | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_InvisibilityContext.hxx